@echo off
REM %1 server, e.g., "(local)"
REM %2 Dim Auth DB, e.g., Refdata or "Dim Auth"
REM %3 DB Type, "DIMAUTH" or "NFLDM"
if %1 == "DIMAUTH" (
	sqlcmd -S %2 -d %3 -i "..\SQL\Dimension Authority\tables.Create Objects Dim Authority.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\Dimension Authority\script.Populate ETL Tables.sql"
)
if %1 == "DMNFL" (
REM Tables
	sqlcmd -S %2 -d %3 -i "..\SQL\DM Common\tables.Create Common Objects Data Mart.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\SSAS Load Common\tables.Create Common SSAS Load Objects.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\DM NFL\tables.Create Objects - NFL.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\DM NFL\script.Populate ETL Tables - NFL.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\DM Common\triggers.Capture Data Mart Dimension Changes.sql"
REM Views
	sqlcmd -S %2 -d %3 -i "..\SQL\DM Common\views.Create SSAS Common Data Mart Objects.sql"
	sqlcmd -S %2 -d %3 -i "..\SQL\DM NFL\views.Create Objects SSAS - NFL.sql"
)
