@echo off
REM %1 server, e.g., "(local)"
REM %2 Staging DB, e.g., "NFL Staging"
REM Schemas
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\script.Create Schemas.sql"
REM Shared Objects
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\fn.SPLIT.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\fn.MAXIMUM.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\fn.MINIMUM.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\fn.REPLACEBLANKSWITHONE.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\proc.Load Data Source.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Shared\proc.Get Changed Date And Last Version.sql"
REM Tables
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\nflsavant.players_2013-12-12.Table.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\api.Load Control.Table.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\nflsavant.pbp_2015.Table.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\nflsavant.play_by_play.Table.sql"
sqlcmd -S %1 -d %2 -i "..\SQL\Staging\manual.NFL Teams.Table.sql"
REM Procedures
