/*
--	Copyright (c) 2007 - 2018 by Victor Shulman.
--	Written by Victor Shulman.  Not derived from licensed software.
--	
--	Permission is granted to anyone to use this software for any
--	purpose on any computer system, and to redistribute it in any way,
--	subject to the following restrictions:
--	
--	1. The author is not responsible for the consequences of use of
--		this software, no matter how awful, even if they arise
--		from defects in it.
--
--	2. The origin of this software must not be misrepresented, either
--		by explicit claim or by omission.
--	
--	3. Altered versions must be plainly marked as such, and must not
--		be misrepresented (by explicit claim or omission) as being
--		the original software.
--
--	4. This notice must not be removed or altered.
*/
TRUNCATE TABLE [nflsavant].[play_by_play]

INSERT INTO [nflsavant].[play_by_play]
           ([GameId]							
           ,[GameDate]							
           ,[Quarter]							
           ,[Minute]							
           ,[Second]							
           ,[OffenseTeam]						
           ,[DefenseTeam]						
           ,[Down]								
           ,[ToGo]								
           ,[YardLine]							
           ,[SeriesFirstDown]					
           ,[NextScore]							
           ,[Description]						
           ,[TeamWin]							
           ,[SeasonYear]						
           ,[Yards]								
           ,[Formation]							
           ,[PlayType]							
           ,[IsRush]							
           ,[IsPass]							
           ,[IsIncomplete]						
           ,[IsTouchdown]						
           ,[PassType]							
           ,[IsSack]							
           ,[IsChallenge]						
           ,[IsChallengeReversed]				
           ,[Challenger]						
           ,[IsMeasurement]						
           ,[IsInterception]					
           ,[IsFumble]							
           ,[IsPenalty]							
           ,[IsTwoPointConversion]				
           ,[IsTwoPointConversionSuccessful]	
           ,[RushDirection]						
           ,[YardLineFixed]						
           ,[YardLineDirection]					
           ,[IsPenaltyAccepted]					
           ,[PenaltyTeam]						
           ,[IsNoPlay]							
           ,[PenaltyType]						
           ,[PenaltyYards]						
           )
     SELECT
            RTRIM( LTRIM( [GameId]							 ) )
           ,RTRIM( LTRIM( [GameDate]							 ) )
           ,RTRIM( LTRIM( [Quarter]							 ) )
           ,RTRIM( LTRIM( [Minute]							 ) )
           ,RTRIM( LTRIM( [Second]							 ) )
           ,RTRIM( LTRIM( [OffenseTeam]						 ) )
           ,RTRIM( LTRIM( [DefenseTeam]						 ) )
           ,RTRIM( LTRIM( [Down]								 ) )
           ,RTRIM( LTRIM( [ToGo]								 ) )
           ,RTRIM( LTRIM( [YardLine]							 ) )
           ,RTRIM( LTRIM( [SeriesFirstDown]					 ) )
           ,RTRIM( LTRIM( [NextScore]							 ) )
           ,RTRIM( LTRIM( [Description]						 ) )
           ,RTRIM( LTRIM( [TeamWin]							 ) )
           ,RTRIM( LTRIM( [SeasonYear]						 ) )
           ,RTRIM( LTRIM( [Yards]								 ) )
           ,RTRIM( LTRIM( [Formation]							 ) )
           ,RTRIM( LTRIM( [PlayType]							 ) )
           ,RTRIM( LTRIM( [IsRush]							 ) )
           ,RTRIM( LTRIM( [IsPass]							 ) )
           ,RTRIM( LTRIM( [IsIncomplete]						 ) )
           ,RTRIM( LTRIM( [IsTouchdown]						 ) )
           ,RTRIM( LTRIM( [PassType]							 ) )
           ,RTRIM( LTRIM( [IsSack]							 ) )
           ,RTRIM( LTRIM( [IsChallenge]						 ) )
           ,RTRIM( LTRIM( [IsChallengeReversed]				 ) )
           ,RTRIM( LTRIM( [Challenger]						 ) )
           ,RTRIM( LTRIM( [IsMeasurement]						 ) )
           ,RTRIM( LTRIM( [IsInterception]					 ) )
           ,RTRIM( LTRIM( [IsFumble]							 ) )
           ,RTRIM( LTRIM( [IsPenalty]							 ) )
           ,RTRIM( LTRIM( [IsTwoPointConversion]				 ) )
           ,RTRIM( LTRIM( [IsTwoPointConversionSuccessful]	 ) )
           ,RTRIM( LTRIM( [RushDirection]						 ) )
           ,RTRIM( LTRIM( [YardLineFixed]						 ) )
           ,RTRIM( LTRIM( [YardLineDirection]					 ) )
           ,RTRIM( LTRIM( [IsPenaltyAccepted]					 ) )
           ,RTRIM( LTRIM( [PenaltyTeam]						 ) )
           ,RTRIM( LTRIM( [IsNoPlay]							 ) )
           ,RTRIM( LTRIM( [PenaltyType]						 ) )
           ,RTRIM( LTRIM( [PenaltyYards]						 ) )
FROM [dbo].[pbp-2015.partial]
WHERE RTRIM( LTRIM( [IsNoPlay] )) IN ( '0', '1' )  -- exclude one bad row  

