/*
--	Copyright (c) 2007 - 2018 by Victor Shulman.
--	Written by Victor Shulman.  Not derived from licensed software.
--	
--	Permission is granted to anyone to use this software for any
--	purpose on any computer system, and to redistribute it in any way,
--	subject to the following restrictions:
--	
--	1. The author is not responsible for the consequences of use of
--		this software, no matter how awful, even if they arise
--		from defects in it.
--
--	2. The origin of this software must not be misrepresented, either
--		by explicit claim or by omission.
--	
--	3. Altered versions must be plainly marked as such, and must not
--		be misrepresented (by explicit claim or omission) as being
--		the original software.
--
--	4. This notice must not be removed or altered.
*/
TRUNCATE TABLE [nflsavant].[players_2013-12-12]

INSERT INTO [nflsavant].[players_2013-12-12]
           ([name]
           ,[first_name]
           ,[last_name]
           ,[birth_city]
           ,[birth_state]
           ,[birth_country]
           ,[birth_date]
           ,[college]
           ,[draft_team]
           ,[draft_round]
           ,[draft_pick]
           ,[draft_year]
           ,[position]
           ,[height]
           ,[weight]
           ,[death_date]
           ,[death_city]
           ,[death_state]
           ,[death_country]
           ,[year_start]
           ,[year_end])
     SELECT
           RTRIM( LTRIM( [name] ) )
           ,RTRIM( LTRIM( [first_name] ) )
           ,RTRIM( LTRIM( [last_name] ) )
           ,RTRIM( LTRIM( [birth_city] ) )
           ,RTRIM( LTRIM( [birth_state] ) )
           ,RTRIM( LTRIM( [birth_country] ) )
           , NULLIF( [birth_date], '' )
           ,RTRIM( LTRIM( [college] ) )
           ,RTRIM( LTRIM( [draft_team] ) )
           ,RTRIM( LTRIM( [draft_round] ) )
           ,RTRIM( LTRIM( [draft_pick] ) )
           ,RTRIM( LTRIM( [draft_year] ) )
           ,RTRIM( LTRIM( [position] ) )
           ,RTRIM( LTRIM( [height] ) )
           ,RTRIM( LTRIM( [weight] ) )
           ,[death_date]
           ,RTRIM( LTRIM( [death_city] ) )
           ,RTRIM( LTRIM( [death_state] ) )
           ,RTRIM( LTRIM( [death_country] ) )
           ,RTRIM( LTRIM( [year_start] ) )
           ,RTRIM( LTRIM( [year_end] ) )
FROM [dbo].[players_2013-12-12]


