﻿/*
--	Copyright (c) 2007 - 2021 by Victor Shulman.
--	Written by Victor Shulman.  Not derived from licensed software.
--	
--	Permission is granted to anyone to use this software for any
--	purpose on any computer system, and to redistribute it in any way,
--	subject to the following restrictions:
--	
--	1. The author is not responsible for the consequences of use of
--		this software, no matter how awful, even if they arise
--		from defects in it.
--
--	2. The origin of this software must not be misrepresented, either
--		by explicit claim or by omission.
--	
--	3. Altered versions must be plainly marked as such, and must not
--		be misrepresented (by explicit claim or omission) as being
--		the original software.
--
--	4. This notice must not be removed or altered.
*/

namespace DWJobs.DataSourceLoader
{
    public class FieldTransformation
    {
        public FieldTransformation(string fieldName, string transformType, string transformFrom, string transformTo )
        {
            FieldName       = fieldName     ;
            TransformType   = transformType ;
            TransformFrom   = transformFrom ;
            TransformTo     = transformTo   ;
        }

        public string FieldName
        {
            get;
            set;
        }

        public string TransformType
        {
            get;
            set;
        }

        // In case of "DATE_FORMAT" transformation this is a format of the date in the feed
        public string TransformFrom
        {
            get;
            set;
        }

        // In case of "DATE_FORMAT" transformation this is a format of the date to load
        public string TransformTo
        {
            get;
            set;
        }

    }
}
